export function splitPropertyAndMethod(modules) {
    var rootState = {};
    var rootReducers = {};
    var rootEffects = {};
    Object.keys(modules).forEach(function (key) {
        var module = modules[key];
        rootState[key] = {};
        rootReducers[key] = {};
        rootEffects[key] = {};
        Object.assign(rootState[key], module.state);
        Object.assign(rootReducers[key], module.reducers);
        Object.assign(rootEffects[key], module.effects);
    });
    return { rootState: rootState, rootReducers: rootReducers, rootEffects: rootEffects };
}
